You are viewing documentation for version 2 of the AWS SDK for Ruby. Version 3 documentation can be found here.
Class: Aws::Route53::Types::ListTrafficPolicyVersionsResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListTrafficPolicyVersionsResponse
- Defined in:
- (unknown)
Overview
A complex type that contains the response information for the request.
Returned by:
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policies to be listed.
-
#max_items ⇒ Integer
The value that you specified for the
maxitemsparameter in theListTrafficPolicyVersionsrequest that produced the current response. -
#traffic_policies ⇒ Array<Types::TrafficPolicy>
A list that contains one
TrafficPolicyelement for each traffic policy version that is associated with the specified traffic policy. -
#traffic_policy_version_marker ⇒ String
If
IsTruncatedistrue, the value ofTrafficPolicyVersionMarkeridentifies the first traffic policy that Amazon Route 53 will return if you submit another request.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policies to be
listed. If the response was truncated, you can get the next group of
traffic policies by submitting another ListTrafficPolicyVersions
request and specifying the value of NextMarker in the marker
parameter.
#max_items ⇒ Integer
The value that you specified for the maxitems parameter in the
ListTrafficPolicyVersions request that produced the current response.
#traffic_policies ⇒ Array<Types::TrafficPolicy>
A list that contains one TrafficPolicy element for each traffic policy
version that is associated with the specified traffic policy.
#traffic_policy_version_marker ⇒ String
If IsTruncated is true, the value of TrafficPolicyVersionMarker
identifies the first traffic policy that Amazon Route 53 will return if
you submit another request. Call ListTrafficPolicyVersions again and
specify the value of TrafficPolicyVersionMarker in the
TrafficPolicyVersionMarker request parameter.
This element is present only if IsTruncated is true.